import * as react_jsx_runtime from 'react/jsx-runtime';
import { InternalToastOptions } from '../types.js';
import 'react';
import 'react-transition-preset';

type Props = InternalToastOptions & {
    onEnter: (height: number) => void;
    onExit: (height: number) => void;
    offsetHeight: number;
    hover: boolean;
};
declare function Toast(props: Props): react_jsx_runtime.JSX.Element;

export { Toast as default };
