import { ToastOptions, ToastUpdateOptions, Options } from './types.js';
import 'react';
import 'react-transition-preset';

declare class Toast {
    private defaultOptions;
    private toastQueue;
    constructor();
    open(options: ToastOptions): void;
    close(key: string): void;
    closeAll(): void;
    update(key: string, options: ToastUpdateOptions): void;
    setDefaultOptions(options: Options): void;
}
declare const toast: Toast;

export { Options, ToastOptions, ToastUpdateOptions, toast };
