import { __publicField } from './chunk-5USKE2QT.js';
import ToastContainer from './components/toast-container.js';
import { mount } from './dom.js';
import { isBrowser } from './utils.js';
import { jsx } from 'react/jsx-runtime';

var Renderer = class {
  constructor(queue) {
    __publicField(this, "containerID", "react-atom-toast");
    __publicField(this, "container", null);
    __publicField(this, "queue");
    this.queue = queue;
    if (isBrowser()) {
      let container = document.getElementById(this.containerID);
      if (!container) {
        container = document.createElement("div");
        container.id = this.containerID;
        document.body.appendChild(container);
      }
      this.container = container;
    }
  }
  render(toasts) {
    if (!this.container) {
      return;
    }
    mount(/* @__PURE__ */ jsx(ToastContainer, { toasts, queue: this.queue }), this.container);
  }
};

export { Renderer };
